## 📋 Description
Brief description of what this PR does.

## 🔄 Changes Made
- [ ] Bug fix (non-breaking change that fixes an issue)
- [ ] New feature (non-breaking change that adds functionality)  
- [ ] Breaking change (fix or feature that would cause existing functionality to change)
- [ ] Documentation update
- [ ] Refactoring/code cleanup

## 🧪 Testing
- [ ] Tests pass locally (`uv run pytest tests/`)
- [ ] Code is formatted (`uv run black .`)
- [ ] Code is linted (`uv run ruff check .`)
- [ ] Server starts successfully (`uv run enhanced-mcp`)
- [ ] Added tests for new functionality
- [ ] Updated documentation if needed

## 📝 Checklist
- [ ] My code follows the project's style guidelines
- [ ] I have performed a self-review of my code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] My changes generate no new warnings
- [ ] Any dependent changes have been merged and published

## 🔗 Related Issues
Fixes #(issue number)

## 📸 Screenshots (if applicable)
Include screenshots or terminal output if relevant.

## 🤔 Questions/Notes
Any questions for reviewers or additional context.
