# Scripts

This directory contains utility and analysis scripts for the Enhanced MCP Tools project.

## Available Scripts

- **analyze_essential_files.py** - Analyzes essential project files and dependencies
- **compare_implementation.py** - Compares different implementation approaches

## Usage

Scripts can typically be run directly from the project root:

```bash
python scripts/analyze_essential_files.py
python scripts/compare_implementation.py
```

Some scripts may require specific dependencies or the virtual environment:

```bash
uv sync  # Install dependencies first
python scripts/analyze_essential_files.py
```

## Purpose

These scripts are development utilities for:
- Project analysis and validation
- Implementation comparison
- Development workflow automation
- Code quality assessment
